For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get

Retrieve a subscription

Parameters:

Name

Optional / Required

Data type

Description

Default

id

required

Integer

One of your subscription ids

return_fields

optional

String

Customize the responses by setting the return fields (id, itc_product_id, name, description, duration, kiosks, create_date, update_date)

id, itc_product_id, name, description, duration, kiosks, create_date, update_date

Demo

URL Find your token on - yumpu.com Token

id

Optional parameters:

return_fields

Add optional parametersRun request

Example:

curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/account/subscription.json?id=QOjiaWfWYWd7TBHE"

Example:

require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id' => 'QOjiaWfWYWd7TBHE'
);
$listSubscription = $yumpu->getSubscription($data);
print_r($listSubscription);

Example:

var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'QOjiaWfWYWd7TBHE'
};
yumpu.getSubscription(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});

Example:

Whatever language you are using, the result will be the same.

Last updated

Was this helpful?